#include <RFM69.h>
#include <SPI.h>

#define NETWORKID     0   // Must be the same for all nodes
#define MYNODEID      2   // My node ID
#define TONODEID      1   // Destination node ID

// RFM69 frequency, uncomment the frequency of your module:
#define FREQUENCY   RF69_433MHZ
//#define FREQUENCY     RF69_915MHZ

#define ENCRYPTKEY    "TOPSECRETPASSWRD" // Use the same 16-byte key on all nodes
#define IS_RFM69HCW   true // set to 'true' if you are using an RFM69HCW module

#define RFM69_CS      10
#define RFM69_IRQ     2
#define RFM69_IRQN    2  // Pin 2 is IRQ 2!
#define RFM69_RST     9

// Create a library object for our RFM69HCW module:
RFM69 radio = RFM69(RFM69_CS, RFM69_IRQ, IS_RFM69HCW, RFM69_IRQN);

IntervalTimer myTimer;

const int audio =  4;//A12;


static int toggle = 0;

void setup()   {                
  pinMode(audio, OUTPUT);
  analogWriteFrequency(audio, 375000); // 375 kHz carrier
  analogWriteResolution(9);
  Serial.begin(115200);
  //Serial1.begin(115200);

  // Hard Reset the RFM module
  pinMode(RFM69_RST, OUTPUT);
  digitalWrite(RFM69_RST, HIGH);
  delay(100);
  digitalWrite(RFM69_RST, LOW);
  delay(100);
  
  radio.initialize(FREQUENCY, MYNODEID, NETWORKID);
  radio.setHighPower(); // Always use this for RFM69HCW
  //radio.encrypt(ENCRYPTKEY);

  radio.streamingModeRX();
  
  myTimer.begin(getData, 80);  // 64 us = 15.625 kHz

}

void loop()                     
{
}

void getData()
{
  uint8_t data;
  if(digitalRead(RFM69_IRQ))
  {
    
    /*if(toggle < 2500)
    {
      data = radio.receiveStreamByte();
      Serial.print(data);
      Serial.print(':');
      toggle++;
      //Serial.println(data);
      analogWrite(audio, data);
    } else {*/
      data = radio.receiveStreamByte();
      analogWrite(audio, data);
    //}
  }
}

